Skip to main content
GET
/
health
/
machines
Health Machines
curl --request GET \
  --url https://api.cyberdesk.io/health/machines \
  --header 'Authorization: Bearer <token>'
{
  "status": "ok",
  "scope": "organization",
  "checked_machines": 123,
  "healthy_machines": 123,
  "errored_machines": [
    {
      "machine_id": "<string>",
      "error": "<string>",
      "organization_id": "<string>",
      "machine_name": "<string>",
      "status_code": 123
    }
  ],
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful Response

status
enum<string>
required
Available options:
ok,
error
scope
enum<string>
required
Available options:
organization,
all_organizations
checked_machines
integer
required
healthy_machines
integer
required
errored_machines
MachineHealthCheckError · object[]
required
message
string
required